      subroutine adrie(ia,ib,ic,id,jrang,idepi,itorbi)
      parameter(maxsym=8)
      include 'maxorb.prm'
      IMPLICIT REAL*8(A-H,O-x,z),logical*1(y)
      common/sy2/nts(maxsym),ncs(maxsym),nps(maxsym)
     *,norbs(maxsym)
      common/sym/ itsym(maxorb*2),its(maxsym,maxsym),nsym
      dimension idepi(maxsym,maxsym)
      dimension itorbi(maxorb)
      yw=.false.
      if(yw)write(6,*)'entree adrie ia,ib,ic,id',ia,ib,ic,id
c      write(6,*)'idepi',idepi
      iia=itorbi(ia)
      iib=itorbi(ib)
      iic=itorbi(ic)
      iid=itorbi(id)
      isa=itsym(ia)
      isb=itsym(ib)
      isc=itsym(ic)
      isd=itsym(id)
      call adri2(iia,isa,iib,iic,iid,isb,isc,isd,jrang,idepi)
      if(yw)write(6,*)'sortie adrie ib,ic,id,jrang',ib,ic,id,jrang
c      if(jrang.eq.1875322)
c     *write(6,*)'sortie adrie ib,ic,id,jrang',ib,ic,id,jrang
      return
      end
